# std::basic_spanbuf<CharT,Traits>::operator=

From cppreference.com
< cpp‎ | io‎ | basic spanbuf

basic_spanbuf& operator=( basic_spanbuf&& rhs ); | (1) | (since C++23)
basic_spanbuf& operator( const basic_spanbuf& ) = delete; | (2) | (since C++23)

1) Move assignment operator. Equivalent to auto tmp{std::move(rhs)}; this->swap(tmp); return *this;. After move assignment, *this holds the state rhs held before move assignment. It is implementation-defined whether rhs still hold the underlying buffer after move assignment.
2) The copy assignment operator is deleted; `basic_spanbuf` is not CopyAssignable.

### Parameters

rhs | - | another `basic_spanbuf` that will be moved from

### Return value

*this

### Exceptions

May throw implementation-defined exceptions.

### Example

| This section is incomplete Reason: no example

### See also

(constructor) | constructs a `basic_spanbuf` object (public member function)
swap | swaps two `basic_spanbuf` objects (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/io/basic_spanbuf/operator%3D&oldid=160456"